Bug 132953 - *** glibc detected *** free(): invalid pointer: 0x00a2bfd0 ***
*** glibc detected *** free(): invalid pointer: 0x00a2bfd0 ***
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks: 131589
  Show dependency treegraph
 
Reported: 2004-09-20 07:17 EDT by Nicolas Mailhot
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 04:17:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2004-09-20 07:17:10 EDT
[nim@ulysse ~]$ oocalc /tmp/Fiche_de_congés.xls
Use of uninitialized value in string at /usr/bin/oocalc line 355.
Use of uninitialized value in string at /usr/bin/oocalc line 355.
*** glibc detected *** free(): invalid pointer: 0x00a2bfd0 ***
Aborted
[nim@ulysse ~]$ rpm -q glibc
glibc-2.3.3-53
[nim@ulysse ~]$ rpm -q openoffice.org
openoffice.org-1.1.2-3

More generally, oocalc has been massively misbehaving on this box
lately, crashing everytime I tried to save a file for example.

Thanks god I have a FC2 box nearby whose openoffice I can use via ssh
Comment 1 Dan Williams 2004-09-23 06:40:59 EDT
will hopefulyl be fixed in 1.1.2-5 (cannot reproduce there)
Comment 2 Nicolas Mailhot 2004-09-23 15:10:28 EDT
I think it's ok now, will test with the same doc tomorrow to make sure
Comment 3 Nicolas Mailhot 2004-09-24 04:17:51 EDT
Just tested -> it works now.

So this is a fixed/rawhide, though bugzilla won't let me do it (I
wonder if it's a redhat bugzilla bug or a rawhide moz one)
Comment 4 Vladimir Kondratiev 2005-02-12 09:05:22 EST
I observe the same error with glibc-2.3.4-7 and various programs,    
all from recent (as of Feb 12) rawhide; to list some:    
- iconv --list (from glibc itself, rebuild of glibc rpms failed with  
similar error message for msgfmt)    
[]$ iconv --list    
*** glibc detected *** iconv: free(): invalid pointer: 0xb7fe2ea0    
***    
Aborted    
- python    
[]$ rhn-applet-gui    
*** glibc detected *** /usr/bin/python: free(): invalid pointer:    
0xb7466aa0 ***    
Aborted   
- bash    
[root]# /etc/init.d/xinetd start   
Starting xinetd: *** glibc detected *** /bin/bash: free(): invalid   
pointer: 0xb7d8a630 ***   
Aborted   
  
  
Please, someone with sufficient permissions, reopen it. Also, I 
suggest to set 'high' priority 
Comment 5 Vladimir Kondratiev 2005-02-12 09:32:54 EST
If I run with LD_PRELOAD=/usr/lib/libmemusage.so, everything went 
fine: 
[]$ env LD_PRELOAD=/usr/lib/libmemusage.so iconv --list 
<long list of known encodings skipped> 
Memory usage summary: heap total: 55944, heap peak: 35621, stack 
peak: 2672 
         total calls   total memory   failed calls 
 malloc|       1031          52416              0 
realloc|          3           2848              0   (in place: 1, 
dec: 0) 
 calloc|          2            680              0 
   free|         22          34287 
Histogram for block sizes: 
    0-15             17   1% 
   16-31            969  93% 
================================================== 
   32-47             20   1% = 
   48-63             13   1% 
   64-79              2  <1% 
   80-95              2  <1% 
   96-111             1  <1% 
  112-127             2  <1% 
  208-223             1  <1% 
  352-367             1  <1% 
  384-399             1  <1% 
  448-463             1  <1% 
  480-495             1  <1% 
  608-623             1  <1% 
  800-815             1  <1% 
 1024-1039            1  <1% 
 2048-2063            1  <1% 
32640-32655           1  <1% 
 
Comment 6 Vladimir Kondratiev 2005-02-12 10:38:06 EST
This seems to be related to the default for env(MALLOC_CHECK_). If  
this variable is unset, it is treated now as non-0 value. Setting it  
to 0 (export MALLOC_CHECK_=0) dismiss all errors. Core for the  
problem with malloc itself with MALLOC_CHECK_ was already discussed 
in #134385 and bug was marked as fixed (or am I wrong here?). 
Looks like this problem reappears.  
Comment 7 Dan Williams 2005-02-12 11:25:06 EST
Vladimir:  this error is specific to the program that exhibits it, and
isn't a general glibc error.  Its caused by memory bugs in the
individual programs themselves, for example OOo had a double-free bug
that caused this error.  I'd suggest filing bugs against iconv and
rhn-applet-gui.
Comment 8 Thomas TROLEZ 2005-08-27 16:59:36 EDT
It's because your user isn't into video group. You have two solutions:
-Add your user into video goup
-Add Group video into xorg.conf DRI section as Dave'2005 said.

This probleme caused because user try to acces to DRI node. When you add "Group
video" into xorg.conf, it's put xorg into video group for the current session.

Note You need to log in before you can comment on or make changes to this bug.